Google Chat V1 API - Class Google::Apps::Chat::V1::Space::AccessPermissionSettings (v0.34.0)

Reference documentation and code samples for the Google Chat V1 API class Google::Apps::Chat::V1::Space::AccessPermissionSettings.

Access permission settings for a space.

Inherits

  • Object

Extended By

  • Google::Protobuf::MessageExts::ClassMethods

Includes

  • Google::Protobuf::MessageExts

Methods

#discover_space_setting

def discover_space_setting() -> ::Google::Apps::Chat::V1::Space::AccessPermissionSetting
Returns

#discover_space_setting=

def discover_space_setting=(value) -> ::Google::Apps::Chat::V1::Space::AccessPermissionSetting
Parameter
Returns

#join_space_setting

def join_space_setting() -> ::Google::Apps::Chat::V1::Space::AccessPermissionSetting
Returns

#join_space_setting=

def join_space_setting=(value) -> ::Google::Apps::Chat::V1::Space::AccessPermissionSetting
Parameter
Returns

#view_space_membership_setting

def view_space_membership_setting() -> ::Google::Apps::Chat::V1::Space::AccessPermissionSetting
Returns
  • (::Google::Apps::Chat::V1::Space::AccessPermissionSetting) — Optional. Access permission setting for viewing space membership. Must be specified together with PermissionSettings.view_space_membership in the update mask and request body when updating who can view space membership. When granting view access to a target audience, you must also grant PermissionSettings.view_space_membership to all members in the same request. To remove an existing target audience (for example, to restrict view access to space managers or assistant managers only), specify an empty AccessPermissionSetting (with no principals).

#view_space_membership_setting=

def view_space_membership_setting=(value) -> ::Google::Apps::Chat::V1::Space::AccessPermissionSetting
Parameter
  • value (::Google::Apps::Chat::V1::Space::AccessPermissionSetting) — Optional. Access permission setting for viewing space membership. Must be specified together with PermissionSettings.view_space_membership in the update mask and request body when updating who can view space membership. When granting view access to a target audience, you must also grant PermissionSettings.view_space_membership to all members in the same request. To remove an existing target audience (for example, to restrict view access to space managers or assistant managers only), specify an empty AccessPermissionSetting (with no principals).
Returns
  • (::Google::Apps::Chat::V1::Space::AccessPermissionSetting) — Optional. Access permission setting for viewing space membership. Must be specified together with PermissionSettings.view_space_membership in the update mask and request body when updating who can view space membership. When granting view access to a target audience, you must also grant PermissionSettings.view_space_membership to all members in the same request. To remove an existing target audience (for example, to restrict view access to space managers or assistant managers only), specify an empty AccessPermissionSetting (with no principals).